View Issue Details

IDProjectCategoryView StatusLast Update
0025686mantisbtbugtrackerpublic2019-06-14 06:43
Reporter123 Assigned Todregad  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version2.22.0Fixed in Version2.22.0 
Summary0025686: Replace mailto: by link to user profile page in view.php
Description

At the moment, on the view.php page, when you click on the name of the person in charge or the reporter, the process of sending an email message with the subject is started.
I propose to unify such links and direct the visitor to the user’s page.
The possibility of sending email with a filled subject based on the issue also remains, only now this functionality will be transferred to the user profile page.

Additional Information

This issue related to 0022584

TagsNo tags attached.

Activities

123

123

2019-04-09 22:44

reporter   ~0061872

PR https://github.com/mantisbt/mantisbt/pull/1501

dregad

dregad

2019-04-11 09:52

developer   ~0061886

Last edited: 2019-04-11 09:53

View 2 revisions

The possibility of sending email with a filled subject based on the issue also remains, only now this functionality will be transferred to the user profile page.

While I agree that it would be good that username links behave consistently throughout Mantis (sometimes I find myself looking for such link elsewhere on the page, e.g. in Issue History, to access the user profile page), I don't think it makes much sense in terms of UX to move the "mailto" link to the user profile page, which is in a completely different and independent context from the bug view page.

IMO It would be better to have a separate mailto link directly on the bug view page, e.g. next to the username with a fontawesome fa-envelope icon &lt;i class=&quot;fa fa-envelope&quot;></i>.

123

123

2019-04-11 21:41

reporter   ~0061906

I agree.
I will prepare the implementation of this option in the near future.

123

123

2019-04-12 07:00

reporter   ~0061909

I updated the PR.

thE_iNviNciblE

thE_iNviNciblE

2019-04-13 01:00

reporter   ~0061913

nice work

123

123

2019-04-16 06:27

reporter   ~0061942

I updated the PR.

Related Changesets

MantisBT: master 6a9869ae

2019-04-16 12:35:05

dregad

Details Diff
Print email link as button with envelope icon

In the View Issue Details section of view.php page, user names were
displayed with a mailto: link. This is not consistent with the way these
links are printed in other locations, where it goes to the User
Information page (view_user_page.php).

With this commit:
- username now links to view_user_page.php
- the mailto: link is available as a button next to the username

Fixes 0025686
Affected Issues
0025686
mod - core/print_api.php Diff File

MantisBT: master 6ada072c

2019-04-30 03:18:03

dregad

Details Diff
Handle tooltip and button display in prepare_email_link()

Refactoring as part of issue 0025686.
Affected Issues
0025686
mod - core/prepare_api.php Diff File

MantisBT: master ea4f2607

2019-06-11 04:25:35

dregad

Details Diff
Use prepare_email_link() in print_email_link_with_subject()

Refactoring as part of issue 0025686.
Affected Issues
0025686
mod - core/print_api.php Diff File

Issue History

Date Modified Username Field Change
2019-04-09 22:44 123 New Issue
2019-04-09 22:44 123 Note Added: 0061872
2019-04-11 09:52 dregad Note Added: 0061886
2019-04-11 09:53 dregad Note Edited: 0061886 View Revisions
2019-04-11 09:59 dregad Status new => feedback
2019-04-11 21:41 123 Note Added: 0061906
2019-04-11 21:41 123 Status feedback => new
2019-04-12 07:00 123 Note Added: 0061909
2019-04-13 01:00 thE_iNviNciblE Note Added: 0061913
2019-04-16 06:27 123 Note Added: 0061942
2019-06-10 13:26 dregad Summary Link to user profile page in view.php => Replace mailto: by link to user profile page in view.php
2019-06-14 06:40 dregad Changeset attached => MantisBT master 6a9869ae
2019-06-14 06:40 dregad Changeset attached => MantisBT master 6ada072c
2019-06-14 06:40 dregad Changeset attached => MantisBT master ea4f2607
2019-06-14 06:40 dregad Assigned To => dregad
2019-06-14 06:40 dregad Status new => resolved
2019-06-14 06:40 dregad Resolution open => fixed
2019-06-14 06:40 dregad Fixed in Version => 2.22.0
2019-06-14 06:43 dregad Target Version => 2.22.0